//
//  ViewController.m
//  RunLoopAndTimer
//
//  Created by WuChuMing on 2020/1/7.
//  Copyright © 2020 Shawn. All rights reserved.
//

#import "ViewController.h"
#import "TestViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}

- (IBAction)runLoopClick:(UIButton *)sender {
    TestViewController *vc = [[TestViewController alloc] init];
    vc.type = K_VcType_runLoop;
    vc.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:vc animated:YES completion:nil];
}


- (IBAction)_timer:(UIButton *)sender {
    TestViewController *vc = [[TestViewController alloc] init];
    vc.type = K_VcType_Timer;
    vc.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:vc animated:YES completion:nil];
}


- (IBAction)_displayLink:(UIButton *)sender {
    TestViewController *vc = [[TestViewController alloc] init];
    vc.type = K_VcType_Link;
    vc.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:vc animated:YES completion:nil];
    
}

- (IBAction)_dispatch_source:(UIButton *)sender {
    TestViewController *vc = [[TestViewController alloc] init];
    vc.type = K_VcType_dispatch;
    vc.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:vc animated:YES completion:nil];
}

- (IBAction)_timerRecord:(UIButton *)sender {
    TestViewController *vc = [[TestViewController alloc] init];
    vc.type = K_VcType_timeRecord;
    vc.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:vc animated:YES completion:nil];
    
}


@end
